Test::Search Namespace Reference

Tests for search engines. More...

## Classes

class | TestSpace
| Space with information. More...
class | FailImmediate
| Space that immediately fails. More...
class | SolveImmediate
| Space that is immediately solved. More...
class | HasSolutions
| Space that requires propagation and has solutions. More...
class | Test
| Base class for search tests More...
class | DFS
| Test for depth-first search More...
class | LDS
| Test for limited discrepancy search More...
class | BAB
| Test for best solution search More...
class | RBS
| Test for restart-based search More...
class | PBS
| Test for portfolio-based search More...
class | SEBPBS
| Test for portfolio-based search using SEBs More...
class | BranchTypes
| Iterator for branching types. More...
class | ConstrainTypes
| Iterator for constrain types. More...
class | Create
| Help class to create and register tests. More...

## Enumerations

enum | HowToBranch { HTB_NONE , HTB_UNARY , HTB_BINARY , HTB_NARY }
| Values for selecting branchers. More...
enum | HowToConstrain { HTC_NONE , HTC_LEX_LE , HTC_LEX_GR , HTC_BAL_LE , HTC_BAL_GR }
| Values for selecting how to constrain. More...
enum | WhichModel { WM_FAIL_IMMEDIATE , WM_FAIL_SEARCH , WM_SOLUTIONS }
| Values for selecting models. More...

## Variables

Create | c

## Detailed Description

Tests for search engines.

## Enumeration Type Documentation

## HowToBranch

enum Test::Search::HowToBranch

Values for selecting branchers.

Enumerator
HTB_NONE | Do not branch.
HTB_UNARY | Branch with single alternative.
HTB_BINARY | Branch with two alternatives.
HTB_NARY | Branch with many alternatives.

Definition at line 48 of file search.cpp.

## HowToConstrain

enum Test::Search::HowToConstrain

Values for selecting how to constrain.

Enumerator
HTC_NONE | Do not constrain.
HTC_LEX_LE | Constrain for lexically smallest.
HTC_LEX_GR | Constrain for lexically biggest.
HTC_BAL_LE | Constrain for smallest balance.
HTC_BAL_GR | Constrain for largest balance.

Definition at line 56 of file search.cpp.

## WhichModel

enum Test::Search::WhichModel

Values for selecting models.

Enumerator
WM_FAIL_IMMEDIATE | Model that fails immediately.
WM_FAIL_SEARCH | Model without solutions.
WM_SOLUTIONS | Model with solutions.

Definition at line 65 of file search.cpp.

## Variable Documentation

## c

Create Test::Search::c

Definition at line 794 of file search.cpp.